View Issue Details

IDProjectCategoryView StatusLast Update
0000423Database Comparer utility[All Projects] Generalpublic2019-04-18 19:46
ReporterjamaakubaffAssigned Tobarry 
PriorityurgentSeveritymajorReproducibilityhave not tried
Status closedResolutionfixed 
PlatformDatabase ComparerOSWindows 2003 ServerOS VersionR2 Enterprise
Product Version5.0.0.1633 
Target VersionFixed in Version5.0.0.1634 
Summary0000423: Inability to parse firebird 2.5 sql
DescriptionDatabase Comparer compare databases feature is unable to parse the following SQL if found in a trigger or store procedure.

if (NAME similar to '_%\-R[0-9]*' escape '\') then ...

It complains as follows:

Procedure XXX: Missing: <)> (ESCAPE)
Procedure XXX: Missing: <)> (<string Value>)
Procedure XXX: Missing: THEN <)>
Procedure XXX: Invalid statement (? assignment)
...
TagsNo tags attached.

Activities

barry

2012-11-29 10:10

administrator   ~0001029

v. 5.0.0.1634
http://www.clevercomponents.com/dev/dbc/demo/dbcomparer.zip

Issue History

Date Modified Username Field Change
2012-11-21 02:28 jamaakubaff New Issue
2012-11-29 09:37 barry Assigned To => barry
2012-11-29 09:37 barry Status new => confirmed
2012-11-29 09:38 barry Product Version => 5.0.0.1633
2012-11-29 09:48 barry Status confirmed => resolved
2012-11-29 09:48 barry Fixed in Version => 5.0.0.1634
2012-11-29 09:48 barry Resolution open => fixed
2012-11-29 10:10 barry Note Added: 0001029
2019-04-18 19:46 barry Status resolved => closed